%define name	libopensync-plugin-gnokii
%define version	0.22
%define release %mkrel 4

Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Summary:        Gnokii Synchronization Plug-In for OpenSync
License:	LGPL
Group:		Office
URL:		http://www.opensync.org
Source:		svn://svn.opensync.org/plugins/sunbird/%{name}-%{version}.tar.bz2
Patch0:		libopensync-plugin-gnokii-0.22-warning.patch
BuildRequires:  libgnokii-devel
BuildRequires:  libopensync-devel
BuildRequires:  libbluez-devel >= 4.57
BuildRequires:  libical-devel
Requires:       gnokii >= 0.6.27
Requires:       libbluez3
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This plug-in allows applications using OpenSync to synchronize to and
from Nokia cell phones which don't support SyncML. Based on gnokii
library.

Additionally install the libopensync package.

%prep
%setup -q
%patch0 -p1 -b .warning



%build
autoreconf -sfi
%configure2_5x
make

%install
rm -rf %{buildroot}
%makeinstall_std
# only needed for development, and currently there's no package needing it.
rm $RPM_BUILD_ROOT/%{_libdir}/opensync/plugins/gnokii_sync.la
rm $RPM_BUILD_ROOT/%{_libdir}/opensync/formats/gnokii.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/opensync/plugins/gnokii_sync.so
%{_libdir}/opensync/formats/gnokii.so
%{_datadir}/opensync/defaults/gnokii-sync
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README

%changelog
* Tue Jan 05 2010 Texstar <texstar at gmail.com> 0.22-4pclos2010
- rebuild for new gcc and libbluez3

